# -*- mode: rpm-spec; coding: utf-8; -*-
%define dist Mail-Sender
Name: perl-%dist
Version: 0.8.10
Release: alt1

Summary: module for sending mails with attachments through an SMTP server
Summary(ru_RU.UTF-8): модуль для отправки почты с вложениями через сервер SMTP
License: Artistic
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version.tar.bz2
Source1: Mail-Sender.config

BuildArch: noarch

BuildRequires: perl-devel perl(Module/Build.pm)

# Set this manually. Due to dumb config engine
# this module isn't compatible w/ ALT perl build machinery
%add_findreq_skiplist */Mail/Sender.pm

Requires: perl(Carp.pm)
Requires: perl(Socket.pm) perl(File/Basename.pm)
Requires: perl(MIME/Base64.pm) perl(MIME/QuotedPrint.pm)

%description
Mail::Sender provides an object oriented interface to sending
mails. It doesn't need any outer program. It connects to a mail server
directly from Perl, using Socket.

Sends mails directly from Perl through a socket connection.

%description -l ru_RU.UTF-8
Mail::Sender предоставляет объектно-ориентированный интерфейс
для отправки почты. Он не требует никакой внешней программы. Он
присоединяется к почтовому серверу прямо из Perl, используя
Socket.

%prep
%setup -q -n %dist-%version
touch Config

%build
%perl_vendor_build
%__install -m 0644 %SOURCE1 blib/lib/Mail/Sender.config

%install
%perl_vendor_install

%clean

%files
%doc README Changes
%perl_vendor_privlib/Mail
%perl_vendor_man3dir/*


%changelog
* Wed Aug 24 2005 Alexey Morozov <morozov@altlinux.org> 0.8.10-alt1
- Initial build for ALT Linux

